Bug 1246909 - iagno changes system fonts after installation
Summary: iagno changes system fonts after installation
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: iagno
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1123577 1262761 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-26 21:00 UTC by Ervin
Modified: 2016-07-19 17:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 17:11:35 UTC


Attachments (Terms of Use)
Before Iagno Installation (1.12 MB, image/png)
2015-08-04 18:32 UTC, Ervin
no flags Details
After Iagno Installation (1.12 MB, image/png)
2015-08-04 18:33 UTC, Ervin
no flags Details
After resetting Gnome Fonts (1.12 MB, image/png)
2015-08-04 18:34 UTC, Ervin
no flags Details

Description Ervin 2015-07-26 21:00:42 UTC
Description of problem: After installing and playing iagno, system fonts change. 


Version-Release number of selected component (if applicable):iagno 3.16.1


How reproducible:Always


Steps to Reproduce:
1.Install Iagno
2.Play Iagno
3.Observe the change in system fonts

Actual results:System fonts change as a result of using iagno


Expected results: Iagno should not change system fonts. 


Additional info: Work around : reset gnome fonts

Comment 1 Michael Catanzaro 2015-07-26 21:51:30 UTC
I've gotten this bug report before, but it seems pretty crazy. I wonder: what else got installed along with Iagno?

Comment 2 Ervin 2015-07-26 22:06:10 UTC
I don't know, somehow the fonts become really ugly and start to sort of glitter after playing iagno. You only need to install Iagno nothing else.  I think there is another reversi game(most probably a fork of Iagno) that causes the same issue. 
The only workaround is this, I found it in an Ubuntu forum. 
gconftool-2 --unset /desktop/gnome/interface/font_name
gconftool-2 --unset /desktop/gnome/interface/document_font_name
gconftool-2 --unset /desktop/gnome/interface/monospace_font_name
gconftool-2 --unset /apps/metacity/general/titlebar_font
gconftool-2 --unset /apps/nautilus/preferences/desktop_font

Copy past these commands in a terminal one by one and after having finished (no need to run them as root) reboot the system. These will reset gnome fonts, worked for me. Twice.

Comment 3 Ervin 2015-07-26 22:08:23 UTC
And I have also noticed this bug in other distributions which run gnome or a fork of gnome. Unity's fonts changed too after the activation of Iagno. 
And those distros that include Iagno by default when using Gnome such as Debian Gnome or openSUSE gnome have the same font look and feel I got after installing Iagno.

Comment 4 Michael Catanzaro 2015-07-26 23:23:40 UTC
GNOME stopped using gconf many many years ago; I'm surprised those commands did anything at all. What desktop are you using?

Did you install Iagno with GNOME Software, or did you install with dnf and were able to see that for sure no other Fedora package besides iagno was installed at the same time?

Comment 5 Michael Catanzaro 2015-07-26 23:25:03 UTC
By the way, you have to actually run Iagno for the fonts to change, or the change happens simply due to installing it? According to your comment above it seems that running the game that causes the problem, but I want to be sure.

Comment 6 Ervin 2015-08-03 19:32:29 UTC
The changes happen after running Iagno Michael. I did not notice anything after installation. Definitely after running  Iagno. 
However I have noticed the same  type of fonts (Iagnified fonts if i could say so)  in systems that come with gnome where Iagno comes pre-installed such as Debian Gnome or openSUSE gnome.

Comment 7 Michael Catanzaro 2015-08-03 20:54:10 UTC
OK, more info please:

What desktop environment are you using?

Please attach before and after screenshots to show the font change.

Please open your desktop's system monitor (or top) and look for gnome-settings-daemon. See if it is running before Iagno causes the fonts to change. Then start Iagno and see if it is running. (Launching Iagno should not cause g-s-d to start, but this is a really weird bug, so let's check weird possibilities.) Can't hurt to look for other "settings-daemon" processes as well, just in case.

Comment 8 Ervin 2015-08-04 18:32:51 UTC
Created attachment 1059202 [details]
Before Iagno Installation

Comment 9 Ervin 2015-08-04 18:33:50 UTC
Created attachment 1059203 [details]
After Iagno Installation

Comment 10 Ervin 2015-08-04 18:34:54 UTC
Created attachment 1059205 [details]
After resetting Gnome Fonts

Comment 11 Ervin 2015-08-04 18:43:18 UTC
I must say that it has improved a little. In certain areas like in the gnome software the fonts did not change, but in the browser they did change, including the look and feel of the desktop. This time it did not cause such a big change in the desktop fonts, have you been working on it perhaps? 
I am using Gnome 3.16, the current version (stable I assume) for Fedora 22 64 bit with the free open source radeon driver. I observed the gnome settings daemon and I did not notice any restart. I checked for other daemons as well but I did not notice any restart as far I could notice.

Comment 12 Michael Catanzaro 2015-08-04 18:48:09 UTC
We haven't changed anything....

Since you're using GNOME, it's expected that gnome-settings-daemon will always be running.

Honestly, the fonts in your screenshots all look identical to me; I don't see the problem.

Comment 13 Ervin 2015-08-04 19:00:48 UTC
Yes they do look identical. 
However the effect of running Iagno on the system fonts was still there. It was a bit confusing this time,because certain areas of the desktop appearance were affected but some not, and the change was not too noticeable, but it was there again,  just not as severe as before. 
I know it is very hard to notice it through the screenshots. But it was there, just considerably less bad. 
Could have been another update that changed the behaviour of the system to Iagno.  
Not sure, I will keep checking if I can find better info on this bug, and if it does not affect my system anymore, I will close it.

Comment 14 Michael Catanzaro 2015-09-14 13:33:08 UTC
*** Bug 1262761 has been marked as a duplicate of this bug. ***

Comment 15 Michael Catanzaro 2015-09-14 13:38:27 UTC
*** Bug 1123577 has been marked as a duplicate of this bug. ***

Comment 16 Fedora End Of Life 2016-07-19 17:11:35 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.